Hecate - Bug #95

Reconnecting fails due to missing logic
September 25, 2011 08:56 PM - ChalamiuS

Status: Resolved Start date: September 25, 2011
Priority: High Due date:

Assignee: ChalamiuS % Done: 0%

Category: Core Estimated time: 0.00 hour

Target version: 0.1 (Enodia)

Description

The core has to be modified to react to disconnections better, the connection class needs to handle reconnections better and the
handshake module needs to be updated to react to both

Related issues:

Blocked by Hecate - Bug #96: Update the handshake module to handle reconnections Resolved September 25, 2011
Blocked by Hecate - Bug #97: Connection class needs to handle exceptions when... Resolved September 25, 2011
History

#1 - September 25, 2011 08:59 PM - ChalamiuS

- Subject changed from Reconnecting fails due to missing handshake handling to Reconnecting fails due to missing logic

#2 - September 25, 2011 09:02 PM - ChalamiuS

- Category set to Core

#3 - October 22, 2011 05:05 PM - ChalamiuS
- Status changed from Assigned to Feedback

- Assignee changed from Chalamiu$S to AltaDeSaxa

#4 - October 27, 2011 08:32 PM - ChalamiuS
- Status changed from Feedback to Assigned

- Assignee changed from AltaDeSaxa to ChalamiuS

#5 - October 27, 2011 08:54 PM - ChalamiuS

- Status changed from Assigned to Resolved

Everything should be working now, I'll reopen the issue if the testing performed by AltaDeSaxa says otherwise
